/// <reference path="../../../../../types/@react-navigation/core.d.ts" />
/// <reference path="../../../../../types/@react-navigation/native.d.ts" />
import * as React from 'react';
import { NavigationRoute } from 'react-navigation';
import Animated from 'react-native-reanimated';
import { Props as HeaderContainerProps } from '../Header/HeaderContainer';
import { Layout, HeaderMode, NavigationStackProp, HeaderScene, SceneDescriptorMap } from '../../types';
declare type ProgressValues = {
    [key: string]: Animated.Value<number>;
};
declare type Props = {
    mode: 'card' | 'modal';
    navigation: NavigationStackProp;
    descriptors: SceneDescriptorMap;
    routes: NavigationRoute[];
    openingRoutesKeys: string[];
    closingRoutesKeys: string[];
    onGoBack: (props: {
        route: NavigationRoute;
    }) => void;
    onOpenRoute: (props: {
        route: NavigationRoute;
    }) => void;
    onCloseRoute: (props: {
        route: NavigationRoute;
    }) => void;
    getPreviousRoute: (props: {
        route: NavigationRoute;
    }) => NavigationRoute | undefined;
    getGesturesEnabled: (props: {
        route: NavigationRoute;
    }) => boolean;
    renderHeader: (props: HeaderContainerProps) => React.ReactNode;
    renderScene: (props: {
        route: NavigationRoute;
    }) => React.ReactNode;
    headerMode: HeaderMode;
    onPageChangeStart?: () => void;
    onPageChangeConfirm?: () => void;
    onPageChangeCancel?: () => void;
};
declare type State = {
    routes: NavigationRoute[];
    descriptors: SceneDescriptorMap;
    scenes: HeaderScene<NavigationRoute>[];
    progress: ProgressValues;
    layout: Layout;
    floatingHeaderHeights: {
        [key: string]: number;
    };
};
export default class Stack extends React.Component<Props, State> {
    static getDerivedStateFromProps(props: Props, state: State): {
        routes: NavigationRoute<import("react-navigation").NavigationParams>[];
        scenes: (HeaderScene<NavigationRoute<import("react-navigation").NavigationParams>> | {
            route: NavigationRoute<import("react-navigation").NavigationParams>;
            previous: import("react-navigation").NavigationLeafRoute<import("react-navigation").NavigationParams>;
            descriptor: Readonly<{
                options: {};
            }>;
            progress: {
                current: Animated.Value<number>;
                next: Animated.Value<number> | undefined;
                previous: Animated.Value<number> | undefined;
            };
        })[];
        progress: ProgressValues;
        descriptors: SceneDescriptorMap;
        floatingHeaderHeights: {
            [key: string]: number;
        };
    } | null;
    state: State;
    private handleLayout;
    private handleFloatingHeaderLayout;
    private handleTransitionStart;
    private handleTransitionEnd;
    render(): JSX.Element;
}
export {};
