import * as React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import Animated from 'react-native-reanimated';
import { NavigationRoute } from 'react-navigation';
import { Props as HeaderContainerProps } from '../Header/HeaderContainer';
import { HeaderScene, Layout, HeaderMode, NavigationStackProp, TransitionPreset } from '../../types';
declare type Props = TransitionPreset & {
    index: number;
    active: boolean;
    focused: boolean;
    closing: boolean;
    layout: Layout;
    current: Animated.Value<number>;
    previousScene?: HeaderScene;
    scene: HeaderScene;
    navigation: NavigationStackProp;
    cardTransparent?: boolean;
    cardOverlayEnabled?: boolean;
    cardShadowEnabled?: boolean;
    cardStyle?: StyleProp<ViewStyle>;
    gestureEnabled?: boolean;
    getPreviousRoute: (props: {
        route: NavigationRoute;
    }) => NavigationRoute | undefined;
    renderHeader: (props: HeaderContainerProps) => React.ReactNode;
    renderScene: (props: {
        route: NavigationRoute;
    }) => React.ReactNode;
    onOpenRoute: (props: {
        route: NavigationRoute;
    }) => void;
    onCloseRoute: (props: {
        route: NavigationRoute;
    }) => void;
    onGoBack: (props: {
        route: NavigationRoute;
    }) => void;
    onTransitionStart?: (props: {
        route: NavigationRoute;
    }, closing: boolean) => void;
    onTransitionEnd?: (props: {
        route: NavigationRoute;
    }, closing: boolean) => void;
    onPageChangeStart?: () => void;
    onPageChangeConfirm?: () => void;
    onPageChangeCancel?: () => void;
    gestureResponseDistance?: {
        vertical?: number;
        horizontal?: number;
    };
    headerMode: HeaderMode;
    headerTransparent?: boolean;
    floatingHeaderHeight: number;
    headerShown: boolean;
    gestureVelocityImpact?: number;
};
export default class StackItem extends React.PureComponent<Props> {
    private handleOpen;
    private handleClose;
    private handleTransitionStart;
    render(): JSX.Element;
}
export {};
